#include<bits/stdc++.h>
#pragma GCC target("avx2")
#define rep(i, a, b) for (ll i = (a); i < (b); i++)
#define all(x) (x).begin(), (x).end()
#define sz(x) (ll)size(x)
using namespace std;
using ll = long long;
using vi = vector<ll>;
using vvi = vector<vi>;
using pii = pair<ll, ll>;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

void solve() {
    string s;
    cin >> s;
    double ans = 0;
    ll n = sz(s);
    rep(i,0,sz(s)) {
        double d = s[i] - '0';
        ans += (d * (n - i - 1) * 0.9 + d) / pow(10, i);
    }
    cout << setprecision(9) << fixed << ans << '\n';
}

int main() {
    cin.tie(0)->sync_with_stdio(0);
    cin.exceptions(cin.failbit);

    solve();

    return 0;
}
